%global momorel 3
%global php_ver 5.2.1
%global md5sum_src0 a57b7c46d81170b9318e2f384f77910c

%global pkg_name id3

Summary: Functions to read and write ID3 tags in MP3 files. 
Name: php-%{pkg_name}
Version: 0.2
Release: %{momorel}m%{?dist}
License: PHP
Group: Development/Languages
URL: http://pecl.php.net/package/id3 
# %%NoSource 0 http://pecl.php.net/get/%{pkg_name}-%{version}.tgz %{md5sum_src0}
Source0:   %{pkg_name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source10: id3.ini

#Patch1: id3.patch

Requires: php >= %{php_ver}
BuildPrereq: php-devel >= %{php_ver}

%description
id3 enables to to retrieve and update information from ID3 tags in
MP3 files. It supports version 1.0, 1.1 and 2.2+ (only reading text- and url-frames at the moment).

%prep
# Setup main module
%setup -q -n %{pkg_name}-%{version}

#%patch1 -p0

# prepare php module
%{_bindir}/phpize
%configure --enable-id3

%build
# Build main module
%make

%install
rm -rf %{buildroot}

%makeinstall INSTALL_ROOT=%{buildroot}
%{__install} -m 755 -d %{buildroot}%{_sysconfdir}/php.d
%{__install} -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/php.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS EXPERIMENTAL TODO examples/*
%{_sysconfdir}/php.d/%{pkg_name}.ini
%{_libdir}/php/modules/%{pkg_name}.so

%changelog
* Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-3m)
- rebuild against php-5.2.1

* Sat May 06 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.2-2m)
- rebuild against PHP 5.1.4

* Thu Mar 22 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- initial version
